Skip to main content
Get a single contact

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
integer
required
Required range: x > 0
Example:

1

Response

200 - application/json

Object with contact data.

id
integer
required

Contact id

Required range: x > 0
Example:

1

type
string | null
required

Contact type

Example:

"Standard"

name
string | null
required

Contact name

Example:

"Plan Manager"

title
string | null
required

Contact title

Example:

"Mr."

firstName
string | null
required

Contact first name

Example:

"Harry"

lastName
string | null
required

Contact last name

Example:

"Potter"

preferredName
string | null
required

Contact preferred name

Example:

"Harry"

occupation
string | null
required

Contact occupation

Example:

"Contractor"

companyName
string | null
required

Contact company name

Example:

"splose"

providerNumber
string | null
required

Contact provider number

Example:

"12345678"

doctorType
string | null
required

Contact doctor type

Example:

"GP"

associatedPatientIds
number[] | null
required

The associated patients' id in this contact

associatedInvoiceIds
number[] | null
required

The associated invoices' id in this contact

associatedCaseIds
number[] | null
required

The associated invoices' id in this contact

email
string | null
required

Contact email

Example:

"harry@hogwarts.edu"

addressL1
string | null
required

Contact address line 1

Example:

"123 King William Street"

addressL2
string | null
required

Contact address line 2

Example:

""

addressL3
string | null
required

Contact address line 3

Example:

""

suburb
string | null
required

Contact city

Example:

"Adelaide"

state
string | null
required

Contact state

Example:

"SA"

postalCode
string | null
required

Contact post code

Example:

"5000"

country
string | null
required

Contact country

Example:

"Australia"

phoneNumbers
object[]
archived
boolean | null
default:false

Whether the contact has been archived

createdAt

Object creation date time

Example:

"2023-07-30T09:00:00.000Z"

updatedAt

Object update date time

Example:

"2023-07-30T09:00:00.000Z"